CACHESTATS(1)

NAME
cachestats - print cache statistics for a file

SYNOPSIS
cachestats [-qv] file

DESCRIPTION
Print number of cached vs. not-cached pages.

OPTIONS

-v "Verbose mode"
    Print verbose cache map, where each page that is present in the cache is marked with `x`.

-q "Quiet mode"
    The exit status is 0 (success) if the file is fully cached.

EXAMPLE
    $ cachestats -v ~/somefile.mp3
    pages in cache: 85/114 (74.6%)  [filesize=453.5K, pagesize=4K]

    cache map:
         0: |x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|
        32: |x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|
        64: |x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x|x| | | | | | | | | | | | |
        96: | | | | | | | | | | | | | | | | | |x|

SEE ALSO
Also, you can use `vmstat 1` to view cache statistics.